# all files / ol/format/ xlinkformat.js

100% Statements 4/4
100% Branches 0/0
100% Functions 1/1
100% Lines 4/4

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    181×

    1×

    1×
    35×

     goog.provide('ol.format.XLink');

    /**
     * @const
     * @type {string}
     */
    ol.format.XLink.NAMESPACE_URI = 'http://www.w3.org/1999/xlink';

    /**
     * @param {Node} node Node.
     * @return {boolean|undefined} Boolean.
     */
    ol.format.XLink.readHref = function(node) {
      return node.getAttributeNS(ol.format.XLink.NAMESPACE_URI, 'href');
    };